"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SassImplementation_1 = require("../util/SassImplementation");
var typescriptUtils_1 = require("../util/typescriptUtils");
var errorFor_1 = require("../util/errorFor");
var assetFunctions = function (eyeglass, sass) {
    return {
        "eyeglass-asset-uri($registered-assets, $relative-path)": function ($assets, $uri, done) {
            var $assetMap;
            if (!SassImplementation_1.isType(sass, $assets, "map")) {
                return done(SassImplementation_1.typeError(sass, "map", $assets));
            }
            if (SassImplementation_1.isSassList(sass, $assets)) {
                $assetMap = sass.types.Map(0);
            }
            else {
                $assetMap = $assets;
            }
            eyeglass.assets.resolveAsset($assetMap, $uri, function (error, assetUri) {
                var result;
                if (error || !typescriptUtils_1.isPresent(assetUri)) {
                    if (SassImplementation_1.isSassError(sass, error)) {
                        result = error;
                    }
                    else if (typescriptUtils_1.isPresent(error)) {
                        result = sass.types.Error(errorFor_1.errorMessageFor(error));
                    }
                    else {
                        result = sass.types.Error("[internal error] A uri was not returned");
                    }
                }
                else {
                    result = sass.types.String(assetUri);
                }
                done(result);
            });
        }
    };
};
exports.default = assetFunctions;
//# sourceMappingURL=asset-uri.js.map